/*
 * endian_converters.h
 *
 *  Created on: Sep 22, 2025
 *      Author: sowgro
 */

#ifndef INC_HOMEWORK_ENDIAN_CONVERTERS_H_
#define INC_HOMEWORK_ENDIAN_CONVERTERS_H_

uint16_t convert_to_uint16(uint8_t* p_value);
uint32_t convert_to_uint24(uint8_t* p_value);
uint32_t convert_to_uint32(uint8_t* p_value);

#endif /* INC_HOMEWORK_ENDIAN_CONVERTERS_H_ */
